Page MenuHomePhabricator

Unclear licensing on extension-Blackout
Closed, ResolvedPublic

Description

rEBLA extension-Blackout was tagged by @Varnent as "GPL" on https://www.mediawiki.org/w/index.php?title=Extension:Blackout&direction=next&oldid=486784 however this statement is not clear. Which GPL version of the license is?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 13 2018, 9:09 AM

Being conservative I did tagged the extension on the extension.json file with GPL-1.0-or-later. Getting a clarification would however be good.

Given that version 3.0 of the license was published at the time this extension saw daylight, given the vague statement, I assume it's the latest version and I'll update the extension. Author has not replied yet.

Change 406272 had a related patch set (by MarcoAurelio) published:
[mediawiki/extensions/Blackout@master] Update licensing to GPL-3.0-or-later

https://gerrit.wikimedia.org/r/406272

Change 406272 merged by jenkins-bot:
[mediawiki/extensions/Blackout@master] Update licensing to GPL-3.0-or-later

https://gerrit.wikimedia.org/r/406272

Legoktm closed this task as Resolved.Jan 29 2018, 12:18 AM
Legoktm assigned this task to MarcoAurelio.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptJan 29 2018, 12:18 AM
MarcoAurelio triaged this task as Normal priority.Jan 29 2018, 9:16 AM
MarcoAurelio moved this task from unsorted/backlog to archive on the User-MarcoAurelio board.

Yes - GPL-3.0-or-later is fine by me - thank you! :)